commit:     8e1263c4a8671dbd301562187ebf3db7d9e07f76
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  5 13:32:32 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Jan  5 13:33:01 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e1263c4

net-analyzer/prometheus: Update snapshot

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 net-analyzer/prometheus/Manifest                   |  1 +
 .../prometheus/prometheus-1.4.1_p20170104.ebuild   | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/net-analyzer/prometheus/Manifest b/net-analyzer/prometheus/Manifest
index 136c37f..0b96e86 100644
--- a/net-analyzer/prometheus/Manifest
+++ b/net-analyzer/prometheus/Manifest
@@ -1 +1,2 @@
 DIST prometheus-1.4.1_p20161213.tar.gz 5151828 SHA256 
23dde2d12004f596fa6a7292ef12f111d00cd3164eb12296c5d43a242c692fc5 SHA512 
a24405a31e0e312331e05ee91b797039141ca6d5e2a9adfb508592432f18a2ff8a2357e40de5d66c5d0e52ba81d71e325c8f90ba0c0674b32f2254212d3b3e9f
 WHIRLPOOL 
0c1fa151c7d373ff63d6e374e1f67e9b71dc4f15053d5993a9a1231d31e751592029fd4d74077cbe4a7955dd19e71411fa25b09a4490e7925668303e40e6f291
+DIST prometheus-1.4.1_p20170104.tar.gz 5178945 SHA256 
ca9f9c1bd096932a950e05a38f2f66751c9eed9a2131fb50c62df7e44f4eb894 SHA512 
175d484d16177c2acb6d9f388f86f1562ae04878f47faff2b970e1cef7279f4323fd9f26aaebcae24eab24e6982a6775dae414efd1c6216d7ee1d2e283631321
 WHIRLPOOL 
14b6e29b02b2518eb9ac88f20dc2e77eabe1ba1c91f6bb949edd1af74d273bdc6a9ebc14ea2b7f85a32a6ba60fdcae73efce557906e36c3b257d66d0d7450a7b

diff --git a/net-analyzer/prometheus/prometheus-1.4.1_p20170104.ebuild 
b/net-analyzer/prometheus/prometheus-1.4.1_p20170104.ebuild
new file mode 100644
index 00000000..6c1fd7c
--- /dev/null
+++ b/net-analyzer/prometheus/prometheus-1.4.1_p20170104.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/prometheus/..."
+EGIT_COMMIT="c9f4aea8e2aaa61d0f6084377d5f3e0397d7ad14"
+ARCHIVE_URI="https://${EGO_PN%/*}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus monitoring system and time series database"
+HOMEPAGE="https://github.com/prometheus/prometheus";
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-util/promu"
+
+PROMETHEUS_HOME="/var/lib/prometheus"
+
+pkg_setup() {
+       enewgroup prometheus
+       enewuser prometheus -1 -1 "${PROMETHEUS_HOME}" prometheus
+}
+
+src_prepare() {
+       default
+       sed -i -e "s/{{.Revision}}/${EGIT_COMMIT:0:7}/" 
src/${EGO_PN%/*}/.promu.yml || die
+}
+
+src_compile() {
+       pushd src/${EGO_PN%/*} || die
+       GOPATH="${S}" promu build -v || die
+       popd || die
+}
+
+src_install() {
+       pushd src/${EGO_PN%/*} || die
+       dobin promtool prometheus
+       dodoc -r {documentation,{README,CHANGELOG,CONTRIBUTING}.md}
+       insinto /etc/prometheus
+       doins documentation/examples/prometheus.yml
+       insinto /usr/share/prometheus
+       doins -r console_libraries consoles
+       dosym ../../usr/share/prometheus/console_libraries 
/etc/prometheus/console_libraries
+       dosym ../../usr/share/prometheus/consoles /etc/prometheus/consoles
+       popd || die
+
+       newinitd "${FILESDIR}"/prometheus.initd prometheus
+       newconfd "${FILESDIR}"/prometheus.confd prometheus
+       keepdir /var/log/prometheus /var/lib/prometheus
+       fowners prometheus:prometheus /var/log/prometheus /var/lib/prometheus
+}

Reply via email to